View all methods
workflowRuns.info
Get info for a workflow run.
Facts
| Method | GET https://api.getdx.com/workflowRuns.info |
| Required scope | workflows:read |
Arguments
Required arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
id |
Text |
The user defined unique identifier for the workflow. |
Example request
This is a typical request:
curl -X GET https://api.getdx.com/workflowRuns.info?id=0w2onumqqcgd \
-H 'Accepts: application/json' \
-H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'
Example response
This is a typical success response:
{
"ok": true,
"workflow_run": {
"id": "0w2onumqqcgd",
"status": "SUCCEEDED",
"started_at": "2025-07-10T16:56:24.155Z",
"completed_at": "2025-07-10T17:04:22.459Z",
"data": {
"app_name": "stewart-msft",
"account_id": 9999
},
"links": [
{
"url": "https://github.com/example-org/acme-app/actions/runs/16201225511",
"icon": "github",
"label": "GitHub Actions Workflow"
},
{
"url": "https://github.com/example-org/acme-app/pull/4570",
"icon": "github",
"label": "Pull Request"
}
],
"http_state": {
"request": {
"method": "POST",
"url": "https://api.github.com/repos/example-org/acme-app/actions/workflows/provision_single_tenant_instance.yml/dispatches",
"headers": {
"Content-Type": "application/json",
"Accept": "application/json",
"Authorization": "[REDACTED]"
},
"body": "{\n \"ref\": \"master\",\n \"inputs\": {\n \"dx_workflow_run_id\": \"0w2onumqqcgd\",\n \"app_name\": \"stewart-msft\",\n \"account_id\": \"9999\"\n }\n}\n"
},
"response": {
"time_elapsed_seconds": 0.4357,
"is_successful": true,
"status_code": 204,
"headers": {
"Date": "Thu, 10 Jul 2025 16:56:24 GMT",
"Access-Control-Expose-Headers": "ETag, Link, Location, Retry-After, X-GitHub-OTP, X-RateLimit-Limit, X-RateLimit-Remaining, X-RateLimit-Used, X-RateLimit-Resource, X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes, X-Poll-Interval, X-GitHub-Media-Type, X-GitHub-SSO, X-GitHub-Request-Id, Deprecation, Sunset",
"Access-Control-Allow-Origin": "*",
"Strict-Transport-Security": "max-age=31536000; includeSubdomains; preload",
"X-Frame-Options": "deny",
"X-Content-Type-Options": "nosniff",
"X-Xss-Protection": "0",
"Referrer-Policy": "origin-when-cross-origin, strict-origin-when-cross-origin",
"Content-Security-Policy": "default-src 'none'",
"Vary": "Accept-Encoding, Accept, X-Requested-With",
"X-Github-Request-Id": "...",
"Server": "github.com",
"Connection": "close"
},
"body": ""
}
},
"workflow": {
"identifier": "provision-single-tenant-instance",
"name": "Provision Single-tenant Instance",
"description": "Create a new single-tenant instance and associate with an account",
"icon": "globe",
"scope": "ENTITY",
"entity_filter_type": "ENTITY_TYPES",
"entity_filter_sql": null,
"entity_filter_type_identifiers": ["service"],
"execution_type": "EVENT_DRIVEN",
"http_request": {
"method": "POST",
"url": "https://api.github.com/repos/example-org/acme-app/actions/workflows/provision_single_tenant_instance.yml/dispatches",
"headers": {
"Content-Type": "application/json",
"Accept": "application/json",
"Authorization": "[REDACTED]"
},
"body": "{\n \"ref\": \"master\",\n \"inputs\": {\n \"dx_workflow_run_id\": \"\",\n \"app_name\": \"\",\n \"account_id\": \"\"\n }\n}\n"
},
"parameters": [
{
"identifier": "app_name",
"name": "App name",
"description": "The all-lowercase name of the app to provision, like `cool-customer-name`.",
"is_required": true,
"type": "STRING",
"definition": null
},
{
"identifier": "account_id",
"name": "Account ID",
"description": "The numeric account ID.",
"is_required": true,
"type": "INTEGER",
"definition": null
}
]
},
"entity": {
"identifier": "acme-app",
"name": "ACME App"
},
"events": [
{
"id": "qu85u0ibjoey",
"type": "ADD_LINK",
"occurred_at": "2025-07-10T16:56:38.301Z",
"message": null,
"data": {
"link": {
"url": "https://github.com/example-org/acme-app/actions/runs/16201225511",
"icon": "github",
"label": "GitHub Actions Workflow"
}
}
},
{
"id": "sld0min6oik0",
"type": "POST_MESSAGE",
"occurred_at": "2025-07-10T16:56:38.544Z",
"message": "Installing dependencies...",
"data": {}
},
{
"id": "9iu7zcq5cl3y",
"type": "POST_MESSAGE",
"occurred_at": "2025-07-10T16:57:02.974Z",
"message": "Creating and configuring app stewart-msft...",
"data": {}
},
{
"id": "0gt6s5pqkswg",
"type": "POST_MESSAGE",
"occurred_at": "2025-07-10T16:57:21.208Z",
"message": "Creating database instance...",
"data": {}
},
{
"id": "qf2hqn1a29jf",
"type": "POST_MESSAGE",
"occurred_at": "2025-07-10T17:00:13.189Z",
"message": "Deploying the app...",
"data": {}
},
{
"id": "m6rga25npvpg",
"type": "POST_MESSAGE",
"occurred_at": "2025-07-10T17:03:54.012Z",
"message": "Creating a pull request to add to the `instances.json` file...",
"data": {}
},
{
"id": "zw0j04lwa5lr",
"type": "ADD_LINK",
"occurred_at": "2025-07-10T17:03:57.305Z",
"message": null,
"data": {
"link": {
"url": "https://github.com/example-org/acme-app/pull/4570",
"icon": "github",
"label": "Pull Request"
}
}
},
{
"id": "amj5g9psylbt",
"type": "POST_MESSAGE",
"occurred_at": "2025-07-10T17:04:21.064Z",
"message": "Sending a Slack notification...",
"data": {}
},
{
"id": "ccexkmiejjn3",
"type": "POST_MESSAGE",
"occurred_at": "2025-07-10T17:04:21.499Z",
"message": "Provisioning of stewart-msft complete!",
"data": {}
},
{
"id": "uqe4cmuvkb4c",
"type": "CHANGE_STATUS",
"occurred_at": "2025-07-10T17:04:22.456Z",
"message": null,
"data": {
"status": "SUCCEEDED"
}
}
],
"triggered_by_user": {
"id": 9995173,
"name": "Sol LeWitt",
"email": "sol.lewitt@example.com",
"avatar": "https://avatars.slack-edge.com/2024-11-29/9999778151859_9999a7bcf85a764cb62d_72.jpg",
"created_at": "2024-11-23T00:00:16.412Z"
}
}
}
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |